<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RoomListResponse StructType
 * @subpackage Structs
 */
class RoomListResponse extends AbstractStructBase
{
    /**
     * The RoomListRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $RoomListRS;
    /**
     * Constructor method for RoomListResponse
     * @uses RoomListResponse::setRoomListRS()
     * @param \StructType\JP_StaticDataRS $roomListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $roomListRS = null)
    {
        $this
            ->setRoomListRS($roomListRS);
    }
    /**
     * Get RoomListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getRoomListRS()
    {
        return $this->RoomListRS;
    }
    /**
     * Set RoomListRS value
     * @param \StructType\JP_StaticDataRS $roomListRS
     * @return \StructType\RoomListResponse
     */
    public function setRoomListRS(\StructType\JP_StaticDataRS $roomListRS = null)
    {
        $this->RoomListRS = $roomListRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RoomListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
